import ProForm from './index.jsx'
import ProFormCard from './components/ProFormCard.jsx'
import ProFormGrid from './components/ProFormGrid.jsx'
import ProDatePicker from './fields/ProDatePicker/index.vue'
import ProTimePicker from './fields/ProTimePicker/index.vue'
import ProTimeSelect from './fields/ProTimeSelect/index.vue'
import ProInputNumber from './fields/ProInputNumber/index.vue'
import ProInputNumberRange from './fields/ProInputNumberRange/index.vue'

import ProSelect from './fields/ProSelect/index.vue'
import ProSelect3 from './fields/ProSelect3/index.vue'

import ProSelectTree from './fields/ProSelectTree/index.vue'
//import ProSelectTree2 from './fields/ProSelectTree2/index.vue'
import ProSelectTree3 from './fields/ProSelectTree3/index.vue'

import ProRadio from './fields/ProRadio/index.vue'
import ProCascader from './fields/ProCascader/index.vue'
import ProCheckbox from './fields/ProCheckbox/index.vue'
import ProSwitch from './fields/ProSwitch/index.vue'
import ProButton from './fields/ProButton/index.vue'

import {Input, InputPassword, RangePicker, Transfer} from 'ant-design-vue'

let ProFormMount = {}
ProFormMount.install = function (Vue){
    Vue.component(ProForm.name,ProForm)
    Vue.component(ProFormCard.name,ProFormCard)
    Vue.component(ProFormGrid.name,ProFormGrid)
    Vue.component(ProDatePicker.name,ProDatePicker)
    Vue.component(ProTimePicker.name,ProTimePicker)
    Vue.component(ProTimeSelect.name,ProTimeSelect)
    Vue.component(ProInputNumber.name,ProInputNumber)
    Vue.component(ProInputNumberRange.name,ProInputNumberRange)
    Vue.component(ProSelect.name,ProSelect)
    Vue.component(ProSelectTree.name,ProSelectTree)
    Vue.component('ProSelect3',ProSelect3)
    //Vue.component('ProSelectTree2',ProSelectTree2)
    Vue.component('ProSelectTree3',ProSelectTree3)

    Vue.component(ProRadio.name,ProRadio)
    Vue.component(ProCascader.name,ProCascader)
    Vue.component(ProCheckbox.name,ProCheckbox)
    Vue.component(ProSwitch.name,ProSwitch)
    Vue.component('ProInput',Input)
    Vue.component('ProInputPassword',InputPassword)
    Vue.component('ProRangePicker',RangePicker)
    Vue.component('ProTransfer',Transfer)
    Vue.component(ProButton.name,ProButton)
}
export default ProFormMount;
